Skip to main content

Create Stock Transfer

POST /stock-transfers

Description

Create a new stock transfer between stores.

Authentication

Bearer Token

Request

Headers

HeaderValueRequired
AuthorizationBearer {{token}}Yes
Content-Typeapplication/jsonYes

Request Body

{
"sourceStoreIdString": "f65f7a82-de6e-4a4f-b512-33db4339ae9f",
"targetStoreIdString": "5d49a10a-2004-4dfd-a37a-7248ee896f32",
"itemCode": "010",
"qty": 5,
"rate": 7.75,
"postingDate": "2026-04-21T10:30:00.000",
"companyIdString": "32202bdb-fd43-41e5-b9ed-863b33f74a61",
"notes": "Transfer requested for stock replenishment at Retail Store A"
}
FieldTypeRequiredDescription
sourceStoreIdStringstring (UUID)YesSource store ID
targetStoreIdStringstring (UUID)YesTarget store ID
itemCodestringYesItem code to transfer
qtynumberYesQuantity to transfer
ratenumberYesUnit rate/cost
postingDatestring (ISO 8601)YesPosting date
companyIdStringstring (UUID)YesCompany ID
notesstringNoTransfer notes